Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622694 - Graphical installation of F14/alpha/rc2 not always possible (mouse problems)
Graphical installation of F14/alpha/rc2 not always possible (mouse problems)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Triaged
: 632431 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 03:38 EDT by Joachim Backes
Modified: 2018-04-11 04:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 01:45:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/X.log (41.12 KB, text/plain)
2010-08-10 03:38 EDT, Joachim Backes
no flags Details
lsusb output (510 bytes, text/plain)
2010-08-10 03:39 EDT, Joachim Backes
no flags Details
lspci -vv output (14.88 KB, text/plain)
2010-08-10 03:39 EDT, Joachim Backes
no flags Details
watzkej_lspci -vv output (17.43 KB, text/plain)
2010-09-20 11:55 EDT, John Watzke
no flags Details
watzkej_lsusb -vv output (29.59 KB, text/plain)
2010-09-20 11:55 EDT, John Watzke
no flags Details
tar file with /tmp/X.log and other anaconda logs (24.13 KB, application/x-bzip)
2010-09-20 12:36 EDT, Steve Tyler
no flags Details
anaconda.log from Steve's tarball (4.11 KB, text/plain)
2010-09-21 09:40 EDT, Matěj Cepl
no flags Details
program.log from Steve's tarball (1.01 KB, text/plain)
2010-09-21 09:40 EDT, Matěj Cepl
no flags Details
storage.log from Steve's tarball (2.32 KB, text/plain)
2010-09-21 09:40 EDT, Matěj Cepl
no flags Details
syslog from Steve's tarball (60.36 KB, text/plain)
2010-09-21 09:40 EDT, Matěj Cepl
no flags Details
X.log from Steve's tarball (55.41 KB, text/plain)
2010-09-21 09:40 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Joachim Backes 2010-08-10 03:38:32 EDT
Created attachment 437790 [details]
/tmp/X.log

Description of problem:
It sometimes happens that that graphical installer stops at the point where the first fedora graphical window appears: But pressing the "next" button shows no reaction (so as it would be insensitive). The only way to proceed is using the TAB key, navigating to the "next" button and pressing the "enter" key.

But in the most cases, a can press "next", and it proceeds.

Version-Release number of selected component (if applicable):

14.15
How reproducible:
sometimes

Steps to Reproduce:
1.boot the F14/RC2/alpha dvd without any parameter
2.
3.
  
Actual results:
See description

Expected results:
I can operate with the mouse

Additional info:

My box has an USB mouse, but the same happens, if connecting that USB mouse via a PS2 adapter.

I will attach /tmp/X.log, /tm
Comment 1 Joachim Backes 2010-08-10 03:39:16 EDT
Created attachment 437791 [details]
lsusb output
Comment 2 Joachim Backes 2010-08-10 03:39:52 EDT
Created attachment 437792 [details]
lspci -vv output
Comment 3 Steve Tyler 2010-09-18 08:46:13 EDT
This sounds like the same bug:
Bug 632431 - gui installer next / previous buttons need immediate feedback
Comment 4 John Watzke 2010-09-20 11:47:20 EDT
I'm seeing this exact same problem.  If I use "vesa" mode, the mouse works.  I booted the DVD six times.  Three of the times I did the "default" graphical install and the mouse clicks didn't work.  The three times that I booted in "vesa" mode, the mouse worked just fine.  If you can tell me what logs/info you need, I'll be happy to collect it.
Comment 5 John Watzke 2010-09-20 11:49:47 EDT
I'll attach my lsusb and lspci output (from my machine booted as FC13) as watzkej-lsusb.txt and watzkej-lspci.txt so you can see my hardware.
Comment 6 John Watzke 2010-09-20 11:55:11 EDT
Created attachment 448495 [details]
watzkej_lspci -vv output
Comment 7 John Watzke 2010-09-20 11:55:36 EDT
Created attachment 448496 [details]
watzkej_lsusb -vv output
Comment 8 Steve Tyler 2010-09-20 12:36:31 EDT
Created attachment 448508 [details]
tar file with /tmp/X.log and other anaconda logs

I may be seeing this too.

With the F14-Beta-RC1 net installer CD, sometimes the graphical installer does
not respond to mouse clicks.

I haven't found a reproducer, but in two trials the first graphical display
would not respond to clicks on the Next button. Attached logs are for this
state.

When this problem occurs, a workaround is to use Tab and Enter, to which the
installer responds immediately.

Installer CD tests OK.
USB wired mouse works normally.
Graphical pointer is responsive.

(Copied from Bug 632431, Comment 1)
Comment 9 Steve Tyler 2010-09-20 12:49:12 EDT
(In reply to comment #5)
> I'll attach my lsusb and lspci output (from my machine booted as FC13) as
> watzkej-lsusb.txt and watzkej-lspci.txt so you can see my hardware.

They may also want to see /tmp/X.log from when you are in the installer and the problem occurs.
Comment 10 Matěj Cepl 2010-09-21 09:40:32 EDT
Created attachment 448694 [details]
anaconda.log from Steve's tarball
Comment 11 Matěj Cepl 2010-09-21 09:40:39 EDT
Created attachment 448695 [details]
program.log from Steve's tarball
Comment 12 Matěj Cepl 2010-09-21 09:40:46 EDT
Created attachment 448696 [details]
storage.log from Steve's tarball
Comment 13 Matěj Cepl 2010-09-21 09:40:53 EDT
Created attachment 448697 [details]
syslog from Steve's tarball
Comment 14 Matěj Cepl 2010-09-21 09:40:59 EDT
Created attachment 448698 [details]
X.log from Steve's tarball
Comment 15 Joachim Backes 2010-09-23 07:12:26 EDT
Same issue with F14/Rc3/beta.
Comment 16 Chris Lumens 2010-09-29 15:36:06 EDT
*** Bug 632431 has been marked as a duplicate of this bug. ***
Comment 17 Peter Hutterer 2012-06-26 01:45:20 EDT
not sure what the right resolution here is but F14 alpha/rc2 is even more EOL than F14 :)

Note You need to log in before you can comment on or make changes to this bug.